system/virtualbox-addons: Renamed from virtualbox-ose-addons and updated for version 4.0.4

Signed-off-by: Heinz Wiesinger <pprkut@slackbuilds.org>
This commit is contained in:
Heinz Wiesinger 2011-04-03 20:53:35 +02:00 committed by Robby Workman
parent 55e35b855c
commit 04e8c0f66a
10 changed files with 70 additions and 194 deletions

View file

@ -0,0 +1,36 @@
--- vboxadd.sh 2011-02-17 17:31:03.000000000 +0100
+++ vboxadd.sh.new 2011-04-03 13:50:51.367000031 +0200
@@ -465,31 +465,13 @@
# setup_script
setup()
{
- setup_modules
- mod_succ="$?"
- extra_setup
- if [ "$mod_succ" -eq "0" ]; then
- if running_vboxguest || running_vboxadd; then
- printf "You should restart your guest to make sure the new modules are actually used\n\n"
- else
- start
- fi
- fi
+ echo "Not implemented! Please use the virtualbox-kernel-addons.SlackBuild available at SlackBuilds.org instead."
}
# cleanup_script
cleanup()
{
- # Delete old versions of VBox modules.
- cleanup_modules
- depmod
-
- # Remove old module sources
- rm -rf /usr/src/vboxadd-* /usr/src/vboxguest-* /usr/src/vboxvfs-* /usr/src/vboxsf-* /usr/src/vboxvideo-*
-
- # Remove other files
- rm /sbin/mount.vboxsf 2>/dev/null
- rm /etc/udev/rules.d/60-vboxadd.rules 2>/dev/null
+ echo "Not implemented! Please use removepkg or pkgtool to remove virtualbox-addons and/or virtualbox-kernel-addons instead."
}
dmnstatus()

View file

@ -0,0 +1,19 @@
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in. You must
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
virtualbox-addons: virtualbox-addons (VirtualBox Guest Additions)
virtualbox-addons:
virtualbox-addons: This is the userspace part of the VirtualBox Guest Additions.
virtualbox-addons: Together with virtualbox-kernel-addons, they enable shared folders,
virtualbox-addons: folders, shared clipboard, etcetera usage inside guest machines.
virtualbox-addons:
virtualbox-addons: Homepage: http://www.virtualbox.org
virtualbox-addons:
virtualbox-addons:
virtualbox-addons:
virtualbox-addons:

View file

@ -2,7 +2,7 @@
# Slackware build script for virtualbox-ose-addons
# Copyright 2008-2010 Heinz Wiesinger, Amsterdam, The Netherlands
# Copyright 2008-2011 Heinz Wiesinger, Amsterdam, The Netherlands
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@ -22,9 +22,9 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=virtualbox-ose-addons
PRGNAM=virtualbox-addons
SRCNAM=VirtualBox
VERSION=3.2.10
VERSION=4.0.4
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@ -73,7 +73,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $SRCNAM-${VERSION}_OSE
tar xvf $CWD/$SRCNAM-${VERSION}-OSE.tar.bz2
tar xvf $CWD/$SRCNAM-${VERSION}.tar.bz2
cd $SRCNAM-${VERSION}_OSE
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
@ -98,10 +98,9 @@ unset path_kbuild_bin path_dev_bin
kmk -j ${JOBS} LOCALCFG=$CWD/LocalConfig.kmk
mkdir -p $PKG/lib/udev/rules.d $PKG/sbin \
$PKG/etc/{xdg/autostart,rc.d} \
$PKG/etc/{xdg/autostart,rc.d,X11/xorg.conf.d} \
$PKG/usr/{src,bin,sbin,share/autostart} \
$PKG/usr/lib$LIBDIRSUFFIX/xorg/modules/{drivers,input} \
$PKG/usr/share/hal/fdi/policy/20thirdparty
$PKG/usr/lib$LIBDIRSUFFIX/xorg/modules/{drivers,input}
patch -d src/VBox/Additions/linux/installer/ -i $CWD/rc.vboxadd.diff
cp -f src/VBox/Additions/linux/installer/vboxadd.sh \
@ -115,14 +114,18 @@ cp -f src/VBox/Additions/x11/Installer/vboxclient.desktop \
$PKG/usr/share/autostart/
install -m 755 src/VBox/Additions/x11/Installer/98vboxadd-xclient \
$PKG/usr/bin/VBoxClient-all
install -m 644 src/VBox/Additions/linux/installer/90-vboxguest.fdi \
$PKG/usr/share/hal/fdi/policy/20thirdparty
echo "KERNEL==\"vboxguest\", NAME=\"vboxguest\", OWNER=\"vboxadd\", MODE=\"0660\"" \
> $PKG/lib/udev/rules.d/60-vboxadd.rules
echo "KERNEL==\"vboxuser\", NAME=\"vboxuser\", OWNER=\"vboxadd\", MODE=\"0666\"" \
>> $PKG/lib/udev/rules.d/60-vboxadd.rules
install -m 644 src/VBox/Additions/linux/installer/70-xorg-vboxmouse.rules \
$PKG/lib/udev/rules.d/
install -m 644 src/VBox/Additions/x11/Installer/50-vboxmouse.conf \
$PKG/etc/X11/xorg.conf.d/
cd out/linux.$TARGET/release/bin/additions
cp -rf src/vboxguest $PKG/usr/src/vboxguest-$VERSION
cp -rf src/vboxsf $PKG/usr/src/vboxsf-$VERSION

View file

@ -1,8 +1,8 @@
PRGNAM="virtualbox-ose-addons"
VERSION="3.2.10"
VERSION="4.0.4"
HOMEPAGE="http://www.virtualbox.org"
DOWNLOAD="http://download.virtualbox.org/virtualbox/3.2.10/VirtualBox-3.2.10-OSE.tar.bz2"
MD5SUM="5aad764cd4e886f9d80d7bde42163c7a"
DOWNLOAD="http://download.virtualbox.org/virtualbox/4.0.4/VirtualBox-4.0.4.tar.bz2"
MD5SUM="b4770ca14d1a8cbad9b3eb0e0028ff4b"
DOWNLOAD_x86_64="UNTESTED"
MD5SUM_x86_64=""
MAINTAINER="Heinz Wiesinger"

View file

@ -1,163 +0,0 @@
--- vboxadd.sh 2010-10-08 22:09:05.000000000 +0200
+++ vboxadd.sh 2010-10-30 16:14:18.420000058 +0200
@@ -308,158 +308,13 @@
# setup_script
setup()
{
- # don't stop the old modules here -- they might be in use
- begin "Uninstalling old VirtualBox DKMS kernel modules"
- $DODKMS uninstall > $LOG
- succ_msg
- if find /lib/modules/`uname -r` -name "vboxvideo\.*" 2>/dev/null|grep -q vboxvideo; then
- begin "Removing old VirtualBox vboxvideo kernel module"
- find /lib/modules/`uname -r` -name "vboxvideo\.*" 2>/dev/null|xargs rm -f 2>/dev/null
- succ_msg
- fi
- if find /lib/modules/`uname -r` -name "vboxsf\.*" 2>/dev/null|grep -q vboxsf; then
- begin "Removing old VirtualBox vboxsf kernel module"
- find /lib/modules/`uname -r` -name "vboxsf\.*" 2>/dev/null|xargs rm -f 2>/dev/null
- succ_msg
- fi
- if find /lib/modules/`uname -r` -name "vboxguest\.*" 2>/dev/null|grep -q vboxguest; then
- begin "Removing old VirtualBox vboxguest kernel module"
- find /lib/modules/`uname -r` -name "vboxguest\.*" 2>/dev/null|xargs rm -f 2>/dev/null
- succ_msg
- fi
- begin "Building the VirtualBox Guest Additions kernel modules"
-
- if ! sh /usr/share/$PACKAGE/test/build_in_tmp \
- --no-print-directory >> $LOG 2>&1; then
- fail_msg
- printf "Your system does not seem to be set up to build kernel modules.\nLook at $LOG to find out what went wrong. Once you have corrected it, you can\nrun\n\n /etc/init.d/vboxadd setup\n\nto build them."
- BUILDVBOXGUEST=""
- BUILDVBOXSF=""
- BUILDVBOXVIDEO=""
- else
- if ! sh /usr/share/$PACKAGE/test_drm/build_in_tmp \
- --no-print-directory >> $LOG 2>&1; then
- printf "\nYour guest system does not seem to have sufficient OpenGL support to enable\naccelerated 3D effects (this requires Linux 2.6.27 or later in the guest\nsystem). This Guest Additions feature will be disabled.\n\n"
- BUILDVBOXVIDEO=""
- fi
- fi
- echo
- if ! $DODKMS install >> $LOG 2>&1; then
- if [ -n "$BUILDVBOXGUEST" ]; then
- begin "Building the main Guest Additions module"
- if ! $BUILDVBOXGUEST \
- --save-module-symvers /tmp/vboxguest-Module.symvers \
- --no-print-directory install >> $LOG 2>&1; then
- fail "Look at $LOG to find out what went wrong"
- fi
- succ_msg
- fi
- if [ -n "$BUILDVBOXSF" ]; then
- begin "Building the shared folder support module"
- if ! $BUILDVBOXSF \
- --use-module-symvers /tmp/vboxguest-Module.symvers \
- --no-print-directory install >> $LOG 2>&1; then
- fail "Look at $LOG to find out what went wrong"
- fi
- succ_msg
- fi
- if [ -n "$BUILDVBOXVIDEO" ]; then
- begin "Building the OpenGL support module"
- if ! $BUILDVBOXVIDEO \
- --use-module-symvers /tmp/vboxguest-Module.symvers \
- --no-print-directory install >> $LOG 2>&1; then
- fail "Look at $LOG to find out what went wrong"
- fi
- succ_msg
- fi
- depmod
- fi
-
- begin "Doing non-kernel setup of the Guest Additions"
- echo "Creating user for the Guest Additions." >> $LOG
- # This is the LSB version of useradd and should work on recent
- # distributions
- useradd -d /var/run/vboxadd -g 1 -r -s /bin/false vboxadd >/dev/null 2>&1
- # And for the others, we choose a UID ourselves
- useradd -d /var/run/vboxadd -g 1 -u 501 -o -s /bin/false vboxadd >/dev/null 2>&1
-
- # Create udev description file
- if [ -d /etc/udev/rules.d ]; then
- echo "Creating udev rule for the Guest Additions kernel module." >> $LOG
- udev_call=""
- udev_app=`which udevadm 2> /dev/null`
- if [ $? -eq 0 ]; then
- udev_call="${udev_app} version 2> /dev/null"
- else
- udev_app=`which udevinfo 2> /dev/null`
- if [ $? -eq 0 ]; then
- udev_call="${udev_app} -V 2> /dev/null"
- fi
- fi
- udev_fix="="
- if [ "${udev_call}" != "" ]; then
- udev_out=`${udev_call}`
- udev_ver=`expr "$udev_out" : '[^0-9]*\([0-9]*\)'`
- if [ "$udev_ver" = "" -o "$udev_ver" -lt 55 ]; then
- udev_fix=""
- fi
- fi
- ## @todo 60-vboxadd.rules -> 60-vboxguest.rules ?
- echo "KERNEL=${udev_fix}\"vboxguest\", NAME=\"vboxguest\", OWNER=\"vboxadd\", MODE=\"0660\"" > /etc/udev/rules.d/60-vboxadd.rules
- echo "KERNEL=${udev_fix}\"vboxuser\", NAME=\"vboxuser\", OWNER=\"vboxadd\", MODE=\"0666\"" >> /etc/udev/rules.d/60-vboxadd.rules
- fi
-
- # Put mount.vboxsf in the right place
- ln -sf "$lib_path/$PACKAGE/mount.vboxsf" /sbin
- # At least Fedora 11 and Fedora 12 demand on the correct security context when
- # executing this command from service scripts. Shouldn't hurt for other distributions.
- chcon -u system_u -t mount_exec_t "$lib_path/$PACKAGE/mount.vboxsf" > /dev/null 2>&1
-
- succ_msg
- if [ -n "$BUILDVBOXGUEST" ]; then
- if running_vboxguest || running_vboxadd; then
- printf "You should restart your guest to make sure the new modules are actually used\n\n"
- else
- start
- fi
- fi
+ echo "Not implemented! Please use the virtualbox-{ose,kernel}-addons.SlackBuild available at SlackBuilds.org instead."
}
# cleanup_script
cleanup()
{
- # Delete old versions of VBox modules.
- DKMS=`which dkms 2>/dev/null`
- if [ -n "$DKMS" ]; then
- echo "Attempt to remove old DKMS modules..."
- for mod in vboxadd vboxguest vboxvfs vboxsf vboxvideo; do
- $DKMS status -m $mod | while read line; do
- if echo "$line" | grep -q added > /dev/null ||
- echo "$line" | grep -q built > /dev/null ||
- echo "$line" | grep -q installed > /dev/null; then
- version=`echo "$line" | sed "s/$mod,\([^,]*\)[,:].*/\1/;t;d"`
- echo " removing module $mod version $version"
- $DKMS remove -m $mod -v $version --all 1>&2
- fi
- done
- done
- echo "Done."
- fi
-
- # Remove old installed modules
- find /lib/modules -name vboxadd\* | xargs rm 2>/dev/null
- find /lib/modules -name vboxguest\* | xargs rm 2>/dev/null
- find /lib/modules -name vboxvfs\* | xargs rm 2>/dev/null
- find /lib/modules -name vboxsf\* | xargs rm 2>/dev/null
- find /lib/modules -name vboxvideo\* | xargs rm 2>/dev/null
- depmod
-
- # Remove old module sources
- rm -rf /usr/src/vboxadd-* /usr/src/vboxguest-* /usr/src/vboxvfs-* /usr/src/vboxsf-* /usr/src/vboxvideo-*
-
- # Remove other files
- rm /sbin/mount.vboxsf 2>/dev/null
- rm /etc/udev/rules.d/60-vboxadd.rules 2>/dev/null
+ echo "Not implemented! Please use removepkg or pkgtool to remove virtualbox-{ose,kernel}-addons instead."
}
dmnstatus()

View file

@ -1,19 +0,0 @@
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in. You must
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
virtualbox-ose-addons: virtualbox-ose-addons (VirtualBox Guest Additions)
virtualbox-ose-addons:
virtualbox-ose-addons: This is the userspace part of the VirtualBox Guest Additions.
virtualbox-ose-addons: Together with virtualbox-kernel-addons, they enable shared folders,
virtualbox-ose-addons: folders, shared clipboard, etcetera usage inside guest machines.
virtualbox-ose-addons:
virtualbox-ose-addons: Homepage: http://www.virtualbox.org
virtualbox-ose-addons:
virtualbox-ose-addons:
virtualbox-ose-addons:
virtualbox-ose-addons: